mscorlib 2.0.0.0 4.0.0.0 System.Security.Principal.IdentityReference System.IComparable<System.Security.Principal.SecurityIdentifier> System.Runtime.InteropServices.ComVisible(false) To be added.

Represents a security identifier (SID) and provides marshaling and comparison operations for SIDs.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using an integer that represents the binary form of a security identifier (SID).

  An integer that represents the binary form of a SID.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified security identifier (SID) in Security Descriptor Definition Language (SDDL) format.

  SDDL string for the SID used to create the object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using a specified binary representation of a security identifier (SID).

  The byte array that represents the SID.
  The byte offset to use as the starting index in .
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class by using the specified well known security identifier (SID) type and domain SID.

  One of the enumeration values. This value must not be .
  The domain SID. This value is required for the following values. This parameter is ignored for any other values.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.SecurityIdentifier To be added. To be added.

  Returns the account domain security identifier (SID) portion from the SID represented by the object if the SID represents a Windows account SID. If the SID does not represent a Windows account SID, this property returns .

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Returns the length, in bytes, of the security identifier (SID) represented by the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Compares the current object with the specified object.

  A signed number indicating the relative values of this instance and .

  Return Value

  Description

  Less than zero

  This instance is less than .

  Zero

  This instance is equal to .

  Greater than zero

  This instance is greater than .

  The object to compare with the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this object is equal to a specified object.

  true if is an object with the same underlying type and value as this object; otherwise, false.

  An object to compare with this object, or null.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the specified object is equal to the current object.

  true if the value of is equal to the value of the current object.

  The object to compare with the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the binary representation of the specified security identifier (SID) represented by the class to a byte array.

  The byte array to receive the copied SID. The byte offset to use as the starting index in .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Serves as a hash function for the current object. The method is suitable for hashing algorithms and data structures like a hash table.

  A hash value for the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the security identifier (SID) represented by this object is a valid Windows account SID.

  true if the SID represented by this object is a valid Windows account SID; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the security identifier (SID) represented by this object is from the same domain as the specified SID.

  true if the SID represented by this object is in the same domain as the SID; otherwise, false.

  The SID to compare with this object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified type is a valid translation type for the class.

  true if is a valid translation type for the class; otherwise, false.

  The type being queried for validity to serve as a conversion from . The following target types are valid:
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the object matches the specified well known security identifier (SID) type.

  true if is the SID type for the object; otherwise, false.

  A value to compare with the object.
- Field
  2.0.0.0
  4.0.0.0
  System.Int32 0 To be added.

  Returns the maximum size, in bytes, of the binary representation of the security identifier.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32 0 To be added.

  Returns the minimum size, in bytes, of the binary representation of the security identifier.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are equal. They are considered equal if they have the same canonical representation as the one returned by the property or if they are both null.

  true if and are equal; otherwise, false.

  The left operand to use for the equality comparison. This parameter can be null. The right operand to use for the equality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects to determine whether they are not equal. They are considered not equal if they have different canonical name representations than the one returned by the property or if one of the objects is null and the other is not.

  true if and are not equal; otherwise, false.

  The left operand to use for the inequality comparison. This parameter can be null. The right operand to use for the inequality comparison. This parameter can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the security identifier (SID), in Security Descriptor Definition Language (SDDL) format, for the account represented by the object. An example of the SDDL format is S-1-5-9.

  The SID, in SDDL format, for the account represented by the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Principal.IdentityReference `` To be added.

  Translates the account name represented by the object into another -derived type.

  The converted identity.

  The target type for the conversion from . The target type must be a type that is considered valid by the method.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Returns an uppercase Security Descriptor Definition Language (SDDL) string for the security identifier (SID) represented by this object.